Create a project
curl --request POST \
--url https://api.domo.com/v1/projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Scrum Project",
"members": [
27,
105
],
"public": "TRUE"
}
'import requests
url = "https://api.domo.com/v1/projects"
payload = {
"name": "Scrum Project",
"members": [27, 105],
"public": "TRUE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Scrum Project', members: [27, 105], public: 'TRUE'})
};
fetch('https://api.domo.com/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "4",
"name": "Scrum Project",
"members": [
27,
105
],
"createdBy": 27,
"createdDate": "2018-08-01T05:00:00Z",
"public": true
}Projects and Tasks API
Create a project
Create a new project in your Domo instance
POST
/
v1
/
projects
Create a project
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The name of the project
Array of user ID's that will be assigned as members of the project
Whether or not the project should be publicly available to other Domo users
Description of the project
Due date of the project
Body
application/json
The request body accepts a project object.
⌘I